<!doctype html>
<html
        xmlns:th="http://www.thymeleaf.org"
        xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
        layout:decorator="layouts/cms">
<head>
</head>
<body>
<th:block layout:fragment="sidebar" th:include="fragments/cms::sidebar('quiz')"/>
<th:block layout:fragment="navigation"
          th:include="fragments/cms::navigation('Academy: Quiz content')"/>

<div layout:fragment="content" class="content academy-quiz">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-8">
                <div class="card card-plain">
                    <div class="content table-responsive table-full-width">

                        <th:block th:include="fragments/cms::notification(${status}, '/cms/academy/quiz')"/>

                        <form method="post" action="/cms/academy/quiz">

                            <input type="hidden"
                                   name="quiz_id"
                                   th:if="${quiz != nul}"
                                   th:value="${quiz?.id}"/>

                            <div class="form-group">
                                <label>Locale*</label>
                                <select class="form-control" name="locale">
                                    <option th:each="supported: ${supported_locale}"
                                            th:value="${supported}"
                                            th:text="${supported}"
                                            th:selected="${supported == locale}"></option>
                                </select>
                            </div>

                            <div class="form-group">
                                <label>Name*</label>
                                <input type="text"
                                       name="name"
                                       th:value="${quiz?.name}"
                                       class="form-control"/>
                            </div>

                            <div class="form-group quiz-question" th:each="question_idx:${max_questions}">
                                <div class="panel">
                                    <label th:text="${'Question ' + question_idx + '*'}"></label>
                                    <div class="form-inline">
                                        <input type="text"
                                               th:name="${'question_' + question_idx}"
                                               th:value="${T(tbt.app.common.util.I18nUtils).getQuestion(quiz?.questions, question_idx, locale)}"
                                               class="form-control"/>
                                        <input type="checkbox"
                                               th:name="${'delete_question_' + question_idx}"
                                               name="title"
                                               value="true"/> delete
                                    </div>
                                    <br/>
                                    <label>Answers*</label>
                                    <table>
                                        <thead>
                                        <tr>
                                            <th>idx</th>
                                            <th>valid</th>
                                            <th>answer</th>
                                            <th>delete</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        <tr th:each="answer_idx:${max_answers}">
                                            <td th:text="${answer_idx}"></td>
                                            <td><input th:name="${'valid_answer_' + question_idx}"
                                                       th:value="${answer_idx}"
                                                       th:checked="${T(tbt.app.common.util.AcademyUtils).getAnswer(quiz?.questions, question_idx, answer_idx)?.valid}"
                                                       type="radio"/></td>
                                            <td><input type="text"
                                                       th:name="${'answer_' + question_idx + '_' + answer_idx}"
                                                       th:value="${T(tbt.app.common.util.I18nUtils).getAnswer(quiz?.questions, question_idx, answer_idx, locale)}"
                                                       class="form-control"/></td>
                                            <td><input type="checkbox"
                                                       th:name="${'delete_answer_' + question_idx + '_' + answer_idx}"
                                                       name="title"
                                                       value="true"/>
                                            </td>
                                        </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>

                            <button type="submit" class="btn btn-info btn-fill pull-right">Save</button>
                            <a href="/cms/academy" type="submit" class="btn btn-fill pull-left">Cancel</a>

                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>


</div>


</body>
</html>
